Records
List Annotations
List all annotations (ratings and comments) for a specific Record.
GET
/
records
/
{recordId}
/
annotations
JavaScript
import Scorecard from 'scorecard-ai';
const client = new Scorecard({
apiKey: process.env['SCORECARD_API_KEY'], // This is the default and can be omitted
});
const annotations = await client.records.annotations.list('777');
console.log(annotations.data);import os
from scorecard_ai import Scorecard
client = Scorecard(
api_key=os.environ.get("SCORECARD_API_KEY"), # This is the default and can be omitted
)
annotations = client.records.annotations.list(
"777",
)
print(annotations.data)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api2.scorecard.io/api/v2/records/{recordId}/annotations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl https://api2.scorecard.io/api/v2/records/$RECORD_ID/annotations \
-H "Authorization: Bearer $SCORECARD_API_KEY"{
"data": [
{
"id": "1",
"recordId": "777",
"spanId": null,
"rating": true,
"comment": "Great response!",
"userId": "user_abc123",
"createdAt": "2026-03-01T12:00:00.000Z"
},
{
"id": "2",
"recordId": "777",
"spanId": "span_xyz",
"rating": false,
"comment": "This answer was incorrect for the given context.",
"userId": "user_def456",
"createdAt": "2026-03-02T15:30:00.000Z"
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing authentication token",
"details": {}
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred while processing your request.",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Record to list annotations for.
Example:
"777"
Response
Successfully retrieved list of Annotations for the Record.
Show child attributes
Show child attributes
Was this page helpful?
Previous
Create Record TagApply a tag to a Record. Idempotent: re-applying an existing tag returns the existing tag.
Next
⌘I
JavaScript
import Scorecard from 'scorecard-ai';
const client = new Scorecard({
apiKey: process.env['SCORECARD_API_KEY'], // This is the default and can be omitted
});
const annotations = await client.records.annotations.list('777');
console.log(annotations.data);import os
from scorecard_ai import Scorecard
client = Scorecard(
api_key=os.environ.get("SCORECARD_API_KEY"), # This is the default and can be omitted
)
annotations = client.records.annotations.list(
"777",
)
print(annotations.data)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api2.scorecard.io/api/v2/records/{recordId}/annotations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl https://api2.scorecard.io/api/v2/records/$RECORD_ID/annotations \
-H "Authorization: Bearer $SCORECARD_API_KEY"{
"data": [
{
"id": "1",
"recordId": "777",
"spanId": null,
"rating": true,
"comment": "Great response!",
"userId": "user_abc123",
"createdAt": "2026-03-01T12:00:00.000Z"
},
{
"id": "2",
"recordId": "777",
"spanId": "span_xyz",
"rating": false,
"comment": "This answer was incorrect for the given context.",
"userId": "user_def456",
"createdAt": "2026-03-02T15:30:00.000Z"
}
]
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing authentication token",
"details": {}
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred while processing your request.",
"details": {}
}